.autocomplete-container {
    position: relative;
    margin: 10px 10px;
    max-width: 300px;
}

.search-input {
    width: 100%;
    padding: 5px;
    font-size: 14px;
    border: 1px solid #ccc;
    border-radius: 4px;
    margin-top: 10px;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #fff;
    width: 100%;
    max-height: 200px;
    overflow-y: auto;
    border: 1px solid #ddd;
    border-top: none;
    z-index: 1000;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
}

.dropdown-content div {
    padding: 10px;
    cursor: pointer;
    border-bottom: 1px solid #eee;
}

.dropdown-content div:hover {
    background-color: #f5f5f5;
}

.dropdown-content div.highlight {
    background-color: #e9e9e9;
}

.dropdown-content div:last-child {
    border-bottom: none;
}

.desc-div{
    flex: 1;
    display: none;
    flex-direction: column;
    width: 56%;
    margin: auto;
    background: white;
    border-radius: 9px;
    box-shadow: 0 0px 5px rgba(0, 0, 0, 0.2);
    padding: 20px 30px 36px 30px;
    margin-bottom: 20px;
    margin-top: 15px;
    font-family: -apple-system,BlinkMacSystemFont,Helvetica Neue,Helvetica,Segoe UI,Arial,Roboto,PingFang SC,MIUI,Hiragino Sans GB,Microsoft YaHei,sans-serif;
}

.grid-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(260px, 1fr));
    gap: 22px;
    margin-top: 8px;
}

.app-content {
    background-color: #F4F4F4;
    border-radius: 9px;
    padding: 14px 5px;
    box-shadow: 0 2px 2px rgba(0, 0, 0, 0.2);
    transition: transform 0.23s, box-shadow 0.23s;
    position: relative;
    overflow: hidden;
    cursor: pointer;
}

.desc-div-p{
    font-size: 15px;
    line-height: 26px;
}

.app-title{
    font-size: 16px;
    font-weight: bold;
    text-align: center;
}

.app-desc{
    margin-top: 8px;
    font-size: 14px;
    margin-left: 10px;
    text-align: center;
    opacity: 0.6;
}